<template>
  <div id="create">
    <img alt="Vue logo" src="../assets/logo-mini-jaune-sans-fond.png">
    <b-container class="formContainer">
      <h3>{{title | capitalize}}</h3>
      <b-form-input required placeholder="Titre de l'article" v-model="title"></b-form-input>
      <b-form-textarea id="textarea1" v-model="body" placeholder="Contenu de l'article" :rows="10"></b-form-textarea>
      <div id="buttondiv">
        <router-link :to="{ path: '/' }">
          <b-button id="saveButton">Annuler</b-button>
        </router-link>
        <router-link :to="{ path: '/' }">
          <b-button @click="submit" id="saveButton">Enregistrer</b-button>
        </router-link>
      </div>
    </b-container>
  </div>
</template>
 
<script>
export default {
  name: "ModifForm",
  data() {
    return {
      title: "",
      body: "",
      articleId: this.$route.params.id
    };
  },
  mounted() {
    this.getArticleDetails();
  },

  methods: {
    submit() {
      this.$store.commit("saveModifiedArticle", {
        title: this.title,
        body: this.body,
        id: this.articleId
      });
    },
    getArticleDetails() {
      let data = "";
      this.$store.state.articles.forEach(element => {
        if (element.id == this.articleId) {
          data = element;
        }
      });
      this.title = data.title;
      this.body = data.body;
    }
  },

  filters: {
    capitalize(value) {
      if (!value) return "";
      value = value.toString();
      return value.toUpperCase();
    }
  }
};
</script>
  
<style>
.formContainer {
  width: 35%;
  border: solid;
  margin: 50px auto 50px auto;
}

#buttondiv {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 20px;
}

h3 {
  text-align: left;
  padding-bottom: 20px;
  padding-top: 10px;
}

.form-control {
  border: 2px solid;
  margin-bottom: 20px;
}

</style>

